import { defineNuxtConfig } from 'nuxt'
import UnpluginComponentsVite from 'unplugin-vue-components/vite'
import IconsResolver from 'unplugin-icons/resolver'

// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  ssr: true,
  buildModules: ['@nuxtjs/tailwindcss', 'unplugin-icons/nuxt', '@nuxtjs/svg'],
  vite: {
    plugins: [
        UnpluginComponentsVite({
            dts: true,
            resolvers: [
                IconsResolver({
                    prefix: 'Icon',
                }),
            ],
        }),
    ],
},

})
