import { add } from '../controller'
import { useBody, callHandler, sendRedirect } from 'h3'
import { uploadService } from '../services/upload-service'

export default defineEventHandler(async (event) => {
  try {
    const handler = uploadService().generateHandler()
    await callHandler(handler, event.req, event.res)
    const body = await useBody(event)
    body.imgs = [event.req.file?.filename]
    add(body)
    sendRedirect(event, '/')
  } catch (e) {
    return { success: false, reason: e.message }
  }
})